#pragma once
#include "../../Library/SDK_Manila_Sense.h"//we need SDK_Manila_Sense.h

//////////////////////////////////////////////////////////////////////////
// Class ExempleProject
// It's our application ! Two methods have to be implemented :
// initApplication() : where we add some stuff to our windows
// messageTreatment(Element* src) : where we do some treatments in response to event (click...)
//////////////////////////////////////////////////////////////////////////

class ExampleProject :
	public EventHandler
{
	static bool alreadyLabelsComputed;
	static bool alreadyButtonsComputed;
	static bool alreadyItemsComputed;
	static bool alreadyLastSubComputed;
protected:

	static unsigned long __cdecl createLabelsForSubSection();///<thread which add labels for the first subsection
	static unsigned long __cdecl createButtonsForSubSection();///<thread which create buttons for the second subsection
	static unsigned long __cdecl createItemsForSubSection();///<thread which create items (checkboxes...) for the third subsection
	static unsigned long __cdecl createLastSubSection();///<thread which add other things for the last subsection
public:
	ExampleProject(HINSTANCE hInstance);
	~ExampleProject(void);

	//function to init application (add item to our window, init var, etc.)
	void initApplication();
	//function which is called when event appends
	void messageTreatment(Element* src,int idEvent,void* lParam=NULL);
};
